Bug 1732524 - repeated uninstallation of ipa-client-samba crashes
Summary: repeated uninstallation of ipa-client-samba crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: François Cami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1732529
TreeView+ depends on / blocked
 
Reported: 2019-07-23 15:11 UTC by Sergey Orlov
Modified: 2019-08-24 01:02 UTC (History)
11 users (show)

Fixed In Version: freeipa-4.8.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1732529 (view as bug list)
Environment:
Last Closed: 2019-08-24 01:02:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Sergey Orlov 2019-07-23 15:11:14 UTC
Description of problem:
When "ipa-client-samba --uninstall" is uninstalled twice, it crashes

Version-Release number of selected component (if applicable):
freeipa-client-samba-4.8.0-1.fc30.x86_64

How reproducible:
Always

Steps to Reproduce:
1. ipa-client-samba -U 
2. ipa-client-samba -U --uninstall
3. ipa-client-samba -U --uninstall

Actual results:
Traceback (most recent call last):
  File "/usr/sbin/ipa-client-samba", line 15, in <module>
    sys.exit(ipa_client_samba.run())
  File "/usr/lib/python3.7/site-packages/ipaclient/install/ipa_client_samba.py", line 524, in run
    uninstall(fstore, statestore, options)
  File "/usr/lib/python3.7/site-packages/ipaclient/install/ipa_client_samba.py", line 437, in uninstall
    fstore.restore_file(paths.SMB_CONF)
  File "/usr/lib/python3.7/site-packages/ipalib/install/sysrestore.py", line 201, in restore_file
    raise ValueError("No such file name in the index")
ValueError: No such file name in the index


Expected results:
Samba domain member is not configured yet

Additional info:

Comment 1 François Cami 2019-07-23 21:05:02 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8019

Comment 3 Fedora Update System 2019-08-14 16:18:10 UTC
FEDORA-2019-d95d1971b2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d95d1971b2

Comment 4 Fedora Update System 2019-08-16 19:50:28 UTC
freeipa-4.8.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d95d1971b2

Comment 5 Fedora Update System 2019-08-24 01:02:49 UTC
freeipa-4.8.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.